Bind flext methods to symbols

## Macros

#define | FLEXT_BINDMETHOD(SYM, M_FUN, DATA)
| Bind a handler for a method with an anything argument to a symbol. More...
#define | FLEXT_UNBINDMETHOD(SYM)
| Unbind any handler for a method from a symbol. More...
#define | FLEXT_UNBINDMETHOD_X(SYM, DATA)
| Unbind any handler for a method from a symbol and return user data pointer by DATA. More...

## Detailed Description

## Macro Definition Documentation

## FLEXT_BINDMETHOD

#define FLEXT_BINDMETHOD | ( |  | SYM,
|  |  | M_FUN,
|  |  | DATA
| ) |  |

Value:
\
flext_base::BindMethod(SYM,FLEXT_CALL_PRE(M_FUN),DATA)
flext_base::BindMethod
bool BindMethod(const t_symbol *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data), void *data=NULL)
Bind a method to a symbol.
FLEXT_CALL_PRE
#define FLEXT_CALL_PRE(F)
Definition: flbase.h:336

Bind a handler for a method with an anything argument to a symbol.

## FLEXT_UNBINDMETHOD

#define FLEXT_UNBINDMETHOD | ( |  | SYM | ) |

Value:
\
flext_base::UnbindMethod(SYM)
flext_base::UnbindMethod
bool UnbindMethod(const t_symbol *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data)=NULL, void **data=NULL)
Unbind a method from a symbol.

Unbind any handler for a method from a symbol.

Note
  Memory associated to the DATA parameter of FLEXT_BINDMETHOD will not be freed here.

## FLEXT_UNBINDMETHOD_X

#define FLEXT_UNBINDMETHOD_X | ( |  | SYM,
|  |  | DATA
| ) |  |

Value:
\
flext_base::UnbindMethod(SYM,&DATA)
flext_base::UnbindMethod
bool UnbindMethod(const t_symbol *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data)=NULL, void **data=NULL)
Unbind a method from a symbol.

Unbind any handler for a method from a symbol and return user data pointer by DATA.

Note
  Memory associated to the DATA parameter of FLEXT_BINDMETHOD will not be freed here.